Arch Bewehrungsstab gerade

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Rebar Straight and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский

Arch Rebar Straight.svg Arch Bewehrungsstab gerade

Menüeintrag
Arch → Rebar tools → Straight Rebar oder 3D/BIM → Reinforcement tools → Gerade Bewehrung
Arbeitsbereich
Arch, BIM
Standardtastenkürzel
Keiner
Eingeführt in Version
0.17
Siehe auch
Verstärkung, Bewehrungsstab, Bewehrung Stückliste

Beschreibung

Das Arch Gerader Bewehrungsstab-Werkzeug erlaubt es dem Anwender, einen Satz von geraden Bewehrungsstäben in einem Struktur-Objekt zu erstellen.

Das Arch Gerader Bewehrungsstab-Werkzeug ist auch im BIM-Arbeitsbereich integriert.

Dieser Befehl ist Teil des Reinforcement-Arbeitsbereich, einem externer Arbeitsbereich, der mit dem AddonManager.svg Addon-Manager über das Menü Werkzeuge → Addon-Manager → Reinforcement installiert werden kann.

Arch Rebar Straight example.png

Zwei Sätze von geraden Bewehrungsstäben in einer Struktur

Anwendung

  1. Wähle eine beliebige Fläche eines vorher erstellten Arch Structure.svg Struktur-Objekts.
  2. Wähle dann Arch Rebar Straight.svg Gerader Bewehrungsstab aus den Bewehrungsstab-Werkzeugen.
  3. Ein Aufgaben-Paneel wird auf der linken Seite des Bildschirm angezeigt wie im folgenden Bild dargestellt.
  4. Wähle die gewünschte Ausrichtung.
  5. Gib die Werte für vordere, rechte, linke, obere und untere Fläche an, außerdem Durchmesser des Bewehrungsstabes.
  6. Wähle den Verteilungsmodus, entweder amount (Menge) oder spacing (Abstand).
  7. Falls 'spacing' gewählt wurde, kann auch benutzerdefinierter Abstand gewählt werden.
  8. Wähle 'Pick selected face' zur Überprüfung oder ändere die Fläche zur Verteilung der Bewehrungsstäbe.
  9. Klicke OK oder Anwenden zur Erzeugung der Bewehrungsstäbe.
  10. Klicke Abbrechen zum Verlassen des Aufgaben-Paneels.

StraightRebarDialog.png

Aufgaben-Ansicht für das Arch Bewehrungsstab gerade-Werkzeug

Eigenschaften

  • DatenOrientation: Legt die Ausrichtung der Bewehrungsstäbe fest ("Bottom Right", "Bottom Left", "Top Right" und "Top Left").
  • DatenFront Cover: Der Abstand zwischen Bewehrungsstab und gewählter Fläche.
  • DatenRight Cover: Der Abstand zwischen dem rechten Ende des Bewehrungsstabs bis zur rechten Fläche der Struktur.
  • DatenLeft Cover: Der Abstand zwischen dem linken Ende des Bewehrungsstabs bis zur linken Fläche der Struktur.
  • DatenCover along: Diese Eigenschaft erlaubt dem Anwender die Auswahl zwischen "Top Cover" und "Bottom Cover" (Ober- bzw. Unterseite).
  • DatenBottom Cover: Der Abstand zwischen Bewehrungsstab bis zur unteren Fläche der Struktur.
  • DatenTop Cover: Der Abstand zwischen dem Bewehrungsstab bis zur oberen Fläche der Struktur.
  • DatenAmount: Die Anzahl der Bewehrungsstäbe.
  • DatenSpacing: Der Abstand zwischen den Achsen der Bewehrungsstäbe.

Scripting

Siehe auch: Arch API,Reinforcement-API und FreeCAD Scripting Basics.

Das Gerader Bewehrungsstab-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Rebar = makeStraightRebar(f_cover, coverAlong, rt_cover, lb_cover,
                          diameter, amount_spacing_check, amount_spacing_value, orientation="Horizontal",
                          structure=None, facename=None)
  • Erstellt ein Rebar-Objekt aus der gegebenen structure, die eine Arch Struktur ist, und facename, die eine Fläche dieser Struktur ist.
    • Falls weder structure noch facename gegeben sind, wird die vom Benutzer gewählte Fläche als Eingabe genommen.
  • f_cover, coverAlong, rt_cover und lb_cover sind innere Abstände von den Bewehrungsstabelementen zu den Flächen der Struktur.
    • f_cover ist der Abstand zur Frontfläche.
    • coverAlong ist ein Tupel (position, value), das den Abstand in einer Position (oben, unten, links, rechts) abhängig von der orientation angibt.
    • rt_cover ist der Abstand entweder der oberen oder der rechten Fläche, abhängig vom Wert von coverAlong und orientation.
    • lb_cover ist der Abstand entweder der unteren oder der linken Fläche, abhängig vom Wert von coverAlong und orientation.
  • diameter ist der Durchmesser der Verstärkungsstäbe innerhalb der Struktur.
  • amount_spacing_check Falls True werden so viele Bewehrungsstäbe erstellt, wie unter amount_spacing_value angegeben; falls False werden die Bewehrungsstäbe im Abstand von amount_spacing_value erstellt.
  • amount_spacing_value gibt die Anzahl von Bewehrungsstäben an oder den Abstandswert, abhängig von amount_spacing_check.
  • orientation gibt die Ausrichtung der Bewehrung an; möglich sind "Horizontal" oder "Vertical".

Abhängig von der Ausrichtung des Bewehrungsstabs kann die Funktion durch entsprechendes Setzen von coverAlong auf zwei allgemeine Weisen aufgerufen werden.

Der Bewehrungsstab ist horizontal

Rebar = makeStraightRebar(f_cover, ("Top Side", value), right_cover, left_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Bottom Side", value), right_cover, left_cover, ...)
  • coverAlong ist ein Tupel mit einem "Top Side" (Oberseiten)- oder einem "Bottom Side" (Unterseiten)-Abstandswert value.
  • In diesem Fall bezieht sich rt_cover auf den right_cover (rechts Seite)-Abstand und lb_cover auf den left_cover (linke Seite)-Abstand.

Der Bewehrungsstab ist vertikal

Rebar = makeStraightRebar(f_cover, ("Left Side", value), top_cover, bottom_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Right Side", value), top_cover, bottom_cover, ...)
  • coverAlong ist ein Tupel mit einem "Left Side" (linke Seite)- oder einem "Right Side" (rechte Seite)-Abstandswert value.
  • In diesem Fall bezieht sich rt_cover auf den top_cover (Oberseite)-Abstand und lb_cover auf den bottom_cover (Unterseite)-Abstand.

Beispiel horizontal

import Arch, Draft, StraightRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = StraightRebar.makeStraightRebar(50, ("Bottom Side", 20), 100, 100,
                                        12, True, 5, "Horizontal", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = StraightRebar.makeStraightRebar(50, ("Bottom Side", 50), 100, 100,
                                         12, True, 5, "Horizontal", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Beispiel vertikal

import Arch, Draft, StraightRebar

Structure2 = Arch.makeStructure(length=1000, width=1000, height=400)
Structure2.ViewObject.Transparency = 80
Draft.move(Structure2, FreeCAD.Vector(1500, 0, 0))
FreeCAD.ActiveDocument.recompute()

Rebar3 = StraightRebar.makeStraightRebar(50, ("Left Side", 20), 100, 100,
                                         12, True, 5, "Vertical", Structure2, "Face4")
Rebar3.ViewObject.ShapeColor = (0.9, 0.5, 0.0)

Rebar4 = StraightRebar.makeStraightRebar(50, ("Left Side", 50), 100, 100,
                                         12, True, 5, "Vertical", Structure2, "Face6")
Rebar4.ViewObject.ShapeColor = (0.0, 0.5, 0.5)

Anpassung des Bewehrungsstabs

Die Eigenschaften des Bewehrungsstabs lassen sich mit der folgenden Funktion verändern

editStraightRebar(Rebar, f_cover, coverAlong, rt_cover, lb_cover,
                  diameter, amount_spacing_check, amount_spacing_value, orientation,
                  structure=None, facename=None)
  • Rebar ist ein vorher erzeugtes StraightRebar-Objekt.
  • Die anderen Parameter sind die gleichen wie die für die makeStraightRebar()-Funktion erforderlichen.
  • structure und facename können weggelassen werden, so dass die Bewehrung in der ursprünglichen Struktur bleibt.

Beispiel:

import StraightRebar

StraightRebar.editStraightRebar(Rebar, 50, ("Top Side", 20), 100, 100,
                                24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar2, 50, ("Top Side", 50), 100, 100,
                                24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar3, 50, ("Right Side", 20), 100, 100,
                                24, True, 7, "Vertical")

StraightRebar.editStraightRebar(Rebar4, 50, ("Right Side", 50), 100, 100,
                                24, True, 7, "Vertical")